import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Environment } from "../models/environment";
import { OneTimeToken } from "../models/one-time-token";
import * as i0 from "@angular/core";
export declare class OneTimeTokenService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    generateToken(name: string): Observable<OneTimeToken>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OneTimeTokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OneTimeTokenService>;
}
