import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Environment } from "../models/environment";
import { PersistentToken } from "../models/persistent-token";
import * as i0 from "@angular/core";
export declare class PersistentTokenService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    generateToken(token: string): Observable<PersistentToken>;
    login(persistentToken: string, password: string): Observable<PersistentToken>;
    getTokens(): Observable<PersistentToken[]>;
    deleteToken(tokenId: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PersistentTokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PersistentTokenService>;
}
